country.json: Get country for requesting IP

API: geojs.io:geojs
Endpoint: /v1/ip/country.json
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 232ms

Description

Returns country information for the IP address making the request

Examples (1)

Get country for requesting IP openapi-spec
curl 'https://get.geojs.io/v1/ip/country.json'
import requests

resp = requests.get("https://get.geojs.io/v1/ip/country.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("geojs")
result = api.fetch("v1/ip/country.json")

for item in result:
    print(item)
const resp = await fetch("https://get.geojs.io/v1/ip/country.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:48:46.538691 200 232ms
2026-04-15 03:05:19.188688 200 249ms
2026-04-14 01:22:49.673907 200 249ms
2026-04-12 13:48:33.747725 200 220ms
2026-04-10 01:01:50.556829 200 70ms
2026-04-09 01:35:34.564627 200 138ms
2026-04-08 00:34:07.808918 200 154ms
2026-04-07 01:00:21.724505 200 151ms
2026-04-06 06:03:10.331570 200 196ms
2026-04-05 14:24:05.713728 200 243ms